using Kingdee.BOS.Core.Bill.PlugIn;
using Kingdee.BOS.Core.DynamicForm.PlugIn.Args;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LF.K3.SCM.BusinessPlugin
{
    [Description("引入")]
    [HotUpdate]
    public class BOMTaskImportPluginL: AbstractBillPlugIn
    {
        public override void DataChanged(DataChangedEventArgs e)
        {
            if(e.Key== "F_qaz_Text")
            {
                
                this.Model.SetItemValueByNumber("FStructureDuty", e.NewValue.ToString(), 0);

            }
            if (e.Key == "F_qaz_Text1")
            {

                this.Model.SetItemValueByNumber("FOpticsDuty", e.NewValue.ToString(), 0);
            }
            if (e.Key == "F_qaz_Text2")
            {

                this.Model.SetItemValueByNumber("FElectronicsDuty", e.NewValue.ToString(),0);
            }
            if (e.Key == "F_qaz_Text3")
            {

                this.Model.SetItemValueByNumber("FProductMan", e.NewValue.ToString(),0);
            }
            base.DataChanged(e);
        }
    }
}
